/// <reference types="react" />
export declare const addonRootFontSize = "14px";
export declare const addonRootFontFamily = "inherit";
export declare const addonRootPadding: number;
export declare const inputDefaultXPadding: number;
export declare const StyledPrefix: import("styled-components").StyledComponent<"span", any, {
    disabled: boolean;
}, never>;
export declare const StyledSuffix: import("styled-components").StyledComponent<"span", any, {
    disabled: boolean;
} & {
    withIncrementer: boolean;
}, never>;
export declare const StyledIncrementerWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledIncrementerButton: import("styled-components").StyledComponent<"button", any, {}, never>;
export declare const StyledInput: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../_utils/types").InputAttributes & import("..").InputProps & import("react").RefAttributes<HTMLInputElement>>, any, {}, never>;
export declare const StyledWrapper: import("styled-components").StyledComponent<"div", any, {
    hasIncrementer: boolean;
}, never>;
